
 LinHES - Bug # 518: add tjc's post-install script

Status: Closed Priority: Normal
Author: graysky Category: Other
Created: 08/22/2009 Assignee: jams
Updated: 03/26/2010 Due date:
Description: tjc has written a nice post-install script that cleans up some stuff and looks very nice.  See his reply in 

[[http://knoppmyth.net/phpBB2/viewtopic.php?p=123394|this post]] for the script.  Ah hell, I'll just paste it here:

<code>
#!/bin/bash

# This script cleans up some SVN stuff that the build process leaves
# in /usr/share/mythtv, along with ownership and file permsisions on the
# themes and the mythstream stuff.  There are bunch of files which are
# left executable for no good reason, although I can think of several
# potentially bad reasons for it.

find /usr/share/mythtv -name .svn -print0 | xargs -0 rm -rf
find /usr/share/mythtv -name CVS -print0 | xargs -0 rm -rf

THEMES=/usr/share/mythtv/themes

chown -R root:root $THEMES
chmod -R +r $THEMES
find $THEMES -type f -print0 | xargs -0 chmod a-x

chown -R root:root /myth/backup/

chown -R www-data:www-data /myth/image_cache/*
chown -R www-data:www-data /var/www

# None of thes files should be executable.
for ext in gif png jpg xml htm html php ; do
    find / -type f -name "*.$ext" -print0 | xargs -0 chmod a-x
done

# These files should be owned by root and not writable to anybody else

chown root:root /usr/share/mythtv/*.xml /usr/share/mythtv/*.ttf

chown -R root:root \
    /usr/share/mythtv/i18n \
    /usr/share/mythtv/mytharchive \
    /usr/share/mythtv/mythflix \
    /usr/share/mythtv/mythnews \
    /usr/share/mythtv/mythvideo \
    /usr/share/mythtv/mythweather \
    /usr/LH \
    /etc/rc1.d \
    /usr/lib/hotplug/firmware \
    /usr/local/share/knoppmyth/KnoppMyth.sql \
    /usr/local/bin/rrd*
# Report any remaining orphans...
find / /myth -xdev \( -nouser -o -nogroup \) -ls
</code>

Associated revisions
03/26/2010 11:15 am - jams
linhes-scripts: added modified version of tjc post-install

closes #518

History
09/08/2009 09:05 am - jams
Won't include the script because these things should be corrected by the pkg installation, not by a 3rd party process.
However I will  find whats causing these problems in the first place and fix them.

03/26/2010 10:20 am - jams
- Category set to Other

- Target version set to 6.03.00

03/26/2010 10:20 am - jams
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:"beda23d70ef2b9db9dcccfce7085bea864c78493".
